deploy to ec2:
 type: deploy
 image: ubuntu
 before_script:
  - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client git -y )'
  - eval $(ssh-agent -s)
  - mkdir -p ~/.ssh
  - echo -e "$SSH_PRIVATE_KEY" > ~/.ssh/id_rsa
  - chmod 600 ~/.ssh/id_rsa
  - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
 script:
  - echo "ssh into the instance"
  - whoami
  - ssh ec2-54-233-252-121.sa-east-1.compute.amazonaws.com
  - echo "Login using ssh to remote instance"
  - whoami
 only:
  - master